### Class

# AppStreamCompose Canvas

since: 1.0

#### Description

    final class AppStreamCompose.Canvas : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Ancestors

- GObject

#### Constructors

###### asc_canvas_new

Creates a new `AscFont`.

since: 1.0

#### Instance methods

###### asc_canvas_get_height

Gets the canvas height.

since: 1.0

###### asc_canvas_get_width

Gets the canvas width.

since: 1.0

###### asc_canvas_render_svg

Render an SVG graphic from the SVG data provided.

since: 1.0

###### asc_canvas_save_png

Save canvas to PNG file.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct AppStreamComposeCanvasClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.